Package qemu-system-x86-core

Binary package: qemu-system-x86-core
Version: 6.1.1-alt1
Architecture: armh
Build time:  Mar 1, 2022, 08:39 PM
 in the task #295902
Source package: qemu
Category: Emulators
Report package bug
License:  BSD-2-Clause AND BSD-3-Clause AND GPL-2.0-only AND GPL-2.0-or-later AND LGPL-2.1-or-later AND MIT
Summary:  QEMU system emulator for x86
Description: 
This package provides the system emulator for x86.
Last changes:
Feb. 24, 2022 Alexey Shabalin 6.1.1-alt1
- 6.1.1
- Fixes for the following security vulnerabilities:
  + CVE-2021-3713 uas: add stream number sanity checks
  + CVE-2021-3947 hw/nvme: fix buffer overrun in nvme_changed_nslist
  + CVE-2021-20196 hw/block/fdc: Kludge missing floppy drive
  + CVE-2021-20203 net: vmxnet3: validate configuration values during activate
  + CVE-2021-4158 acpi: validate hotplug selector on access
  + CVE-2022-0358 virtiofsd: Drop membership of all supplementary groups
  + CVE-2021-3929 hw/nvme: fix
- 9pfs: Fix segfault in do_readdir_many caused by struct dirent overread
Nov. 15, 2021 Alexey Shabalin 6.1.0-alt2
- Backport patches from upstream:
  + qemu-sockets: fix unix socket path copy (again)
  + tests: tcg: Fix PVH test with binutils 2.36+
  + qxl: fix pre-save logic
  + ebpf: only include in system emulators
  + virtio-net: fix use after unmap/free for sg (Fixes: CVE-2021-3748)
  + e1000: fix tx re-entrancy problem (CVE-2021-20257)
  + Fix virtio-net-pci* "vectors" compat
  + hw/scsi/scsi-disk: MODE_PAGE_ALLS not allowed in MODE SELECT commands
    (Fixes: CVE-2021-3930)
Sept. 2, 2021 Alexey Shabalin 6.1.0-alt1
- 6.1.0.
- Enabled build with bpf support.
- Disabled build with nettle support.
- Added subpackages:
  + device-display-virtio-gpu-gl
  + device-display-virtio-gpu-pci-gl
  + device-display-virtio-vga-gl
  + device-display-vhost-user-gpu
  + device-usb-host
- Split out qemu-pr-helper subpackage.
- Moved qemu-storage-daemon from qemu-tools to qemu-img subpackage.
- Moved virtfs-proxy-helper, qemu-bridge-helper, virtiofsd
  from tools to common subpackage.
- Fixes for the following security vulnerabilities:
  + CVE-2021-3582
  + CVE-2021-3607
  + CVE-2021-3608
  + CVE-2021-3545
  + CVE-2021-3544
  + CVE-2021-3546
  + CVE-2021-3527
  + CVE-2021-3713

Back to Top